from django.db import models


class LogFileAndReportDetail(models.Model):
    log_datetime = models.DateTimeField(help_text="Datetime representation of the hour for which logs are stored "
                                                  "in the log file")
    log_file_path = models.CharField(max_length=1024, help_text="Relative path of the stored log file in S3 bucket")
    log_report_path = models.CharField(max_length=1024, null=True, blank=True,
                                       help_text="Relative path of the stored report in S3 bucket")
